#!/bin/sh

DB_NAME="person_test"

psql -d postgres -c "DROP DATABASE IF EXISTS $DB_NAME"
psql -d postgres -c "CREATE DATABASE $DB_NAME"

psql -d $DB_NAME < schema.sql

psql -d $DB_NAME <<EOF

INSERT INTO audit VALUES (859, '2010-08-26 09:32:23+12', 1, 301);

INSERT INTO person VALUES (
    4048, 'John Smith', '1981-10-14', '25 Queen Street, Shannon', 859
);

INSERT INTO audit VALUES (867, '2010-09-03 13:11:13+12', 1, 301);

INSERT INTO person VALUES (
    4065, 'Sarah Walker', '1978-12-01', '6A Kereru Place, Porirua', 867
);

INSERT INTO audit VALUES (892, '2011-02-18 11:56:22+13', 1, 301);

INSERT INTO person VALUES (
    4097, 'Hannah Jenson', '1992-05-09', '118 Crawford Terrace, Huntly', 892
);

INSERT INTO audit VALUES (893, '2011-02-18 11:58:08+13', 1, 104);

UPDATE person SET
    date_of_birth = '1992-09-05',
    audit_id = 893
WHERE person_id = 4097;

INSERT INTO audit VALUES (933, '2012-03-16 09:55:53+13', 1, 301);

UPDATE person SET
    address = '108 Duncan Street, Dunedin',
    audit_id = 933
WHERE person_id = 4048;

INSERT INTO audit VALUES (975, '2013-06-24 16:23:35+12', 1, 302);

UPDATE person SET
    name = 'Sarah Carstn-Walker',
    audit_id = 975
WHERE person_id = 4065;

-- Update without audit change, so overwrite last history record

UPDATE person SET
    name = 'Sarah Carston-Walker'
WHERE person_id = 4065;

SELECT * FROM person ORDER BY person_id;

INSERT INTO audit VALUES (993, '2013-09-03 13:44:18+12', 1, 404);

SELECT fr_person(p, 993)
FROM person p
WHERE person_id = 4048;

SELECT * FROM person ORDER BY person_id;
SELECT * FROM person_hst ORDER BY person_id, effective_from;
EOF

